class PlaceDetails {
  final double lat;
  final double lng;

  PlaceDetails({required this.lat, required this.lng});

  factory PlaceDetails.fromJson(Map<String, dynamic> json) {
    final loc = json['result']['geometry']['location'];
    return PlaceDetails(
      lat: (loc['lat'] as num).toDouble(),
      lng: (loc['lng'] as num).toDouble(),
    );
  }
}